html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Helvetica;
}

::-webkit-scrollbar {
    width: 15px;
    background-color: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background-color: #ADE7A6;
    border-radius: 4px;
    border: 1px solid #f1f1f1;
}

.h1,
.h2,
.h3,
p {
    color: #959e94;
}


.top-header {
    width: 100%;
    height: 40px;
    background-color: #ADE7A6;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0 2rem;
}

.top-header strong,
.top-header span {
    color: #959e94;
}


.navbar-container {
    width: 100%;
    height: 80px;
    padding: 0 2rem;
    background-color: #fff;
    width: 100%;
    height: 80px;
    transition: 0.3s ease;
}

.navbar-container.fixed {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(173, 231, 166, 1);
}

.navbar-items {
    position: absolute;
    right: 0;
    height: 80px;
    line-height: 80px;
    margin: 0;
    display: inline-block;
}

.navbar-items li {
    text-transform: uppercase;
    display: inline-block;
    list-style: none;
    margin-left: 2rem;
    margin-right: 2rem;
    font-weight: 600;
}

.navbar-items a {
    text-decoration: none;
    color: #959e94;
    transition: 0.5s;
}

.navbar-items a.active {
    color: #ADE7A6;
    font-weight: bold;
    text-decoration: underline;
}

.hamburguer {
    display: none; /* oculto por padrão em telas grandes */
    border: none;
    background: none;
    border-top: 3px solid #959e94;
    cursor: pointer;
}

.hamburguer::before,
.hamburguer::after {
    content: "";
    display: block;
    width: 30px;
    border-top: 3px solid #959e94;
    background: #fff;
    margin: 5px 0;
}

.navbar-items a:hover {
    text-decoration: underline;
    color: #ADE7A6;
}

.logo {
    width: 80px;
    margin: auto 0;
}

.main-banner {
    background-image: url(/assets/Web_lavanderia.png);
    height: 70vh;
    background-size: cover;
    background-position: center;
    background-attachment: fixed; /* parallax effect */
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center; /* centraliza verticalmente */
    align-items: center;     /* centraliza horizontalmente */
    text-align: center;
}

.main-banner h1, 
.main-banner h2,
.main-banner p
{
    font-size: 2rem;
    color: #fff;
    padding: 1rem;
    text-align: center;
    font-weight: bolder;     
    text-shadow: 4px 4px 4px rgba(57, 219, 70, 0.5);
}

.main-banner-localization {
    background-image: url(/assets/Web_lavanderiaLocalizationMap.svg);
    height: 70vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
}

.services-container {
    padding: 3rem 0;
}

.services-container ul {
    list-style: none;
    display: flex;
    width: 90%;
    margin: 0 auto;
    flex-wrap: wrap;
}

.services-container li {
    width: 30%;
    margin: 0 1rem;
    padding: 1rem;
    background-color: #ADE7A6;
    border-radius: 10px;
    text-align: center;
    color: #fff;
    box-shadow: 10px 5px 5px #57db70;
}
.services-container h3 {
    color:#959e94;
    font-weight: 800;
}

.services-container li p {
    color: #959e94; 
    font-weight: 600;
    line-height: 24px;
    margin-top: 20px;
    text-shadow: 0.1em 0.1em 0.2em #ADE7A6;
}

.fa-solid {
    font-size: 25px;
    margin-bottom: 10px;
}

.fa-jug-detergent,
.fa-shirt,
.fa-truck {
    color: #fff;
}

.servicesProvidade-container {
    padding-top: 2rem;
    padding-bottom: 5rem;
    text-align: center;
}

.servicesProvidade-container h2 {
    color: #959e94;
    font-size: 36px;
    
}

#services-description {
    font-size: 20px;
    color: #959e94;
    padding-bottom: 1rem;
}

.services-list-container {
    display: flex;
    justify-content: center; 
    align-items: center;
    flex-wrap: wrap;      
    width: 90%;         
    margin: 50px auto 0;
    gap: 24px;
    background-color: #f0f8f0; 
    padding: 20px;
    background: rgba(173, 231, 166, 0.41);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(13.2px);
    -webkit-backdrop-filter: blur(13.2px);
    border: 1px solid rgba(173, 231, 166, 1); 
}

.services-list {
    flex: 0 1 calc(25% - 24px);   
    max-width: 275px;
    min-width: 220px;
    margin: 0 20px;
    box-sizing: border-box;
}

.services-list ul {
    list-style: none;
    padding: 0;
}

.services-list p {
    color: #959e94;
    font-weight: 600;
    line-height: 24px;
    margin-top: 10px;
}

.img-list {
    text-align: center;
    margin-bottom: 20px;
}

.img-list img {
    max-width: 120px;
    height: 120px;
    object-fit: cover;
    border: 2px solid #ADE7A6;
    border-radius: 10px
}

.name-list {
    font-size: 20px;
    color: #57db70;
    font-weight: bold;
    text-transform: uppercase;
    text-align: center;
    gap: 10px;
}

.link-list {
    text-align: center;
    margin-top: 10px;
    padding: 10px;
    border-radius: 5px;
    
}


.link-list a {
    color: #959e94;        
    text-decoration: none;
    font-weight: bold;
    transition: 0.5s;
    text-align: center;
    border: 1px solid #959e94;
    padding: 10px 30px;
    border-radius: 5px;
}

.link-list a:hover {
    color: #ADE7A6;          
    text-decoration: underline;
    background-color: #fff;
    border: 1px solid #ADE7A6;
}
/* SECTION CONTATOS */
.contact-container {
    padding-top: 2rem;
    padding-bottom: 5rem;
    text-align: center;
}

.contact-container h2 {
    color: #959e94;
    font-size: 36px;
}

#contact-description {
    font-size: 20px;
    color: #959e94;
    padding: 1rem;
}

.faixa-contact-description {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
}

.faixa-contact-description p {
  display: inline-block;
  animation: faixa 16s linear infinite;
  background-color: #f0f8f0;
  text-transform: uppercase;
  border: 1px solid rgba(173, 231, 166, 1);
  padding: 2px 10px;
}

.contact-us {
    width: 90%;
    margin: 0 auto;
    text-align: center;
}

.contact-us-list {
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.contact-us-list ul {
    display: flex;
    align-items: center;
    list-style: none;
    justify-content: center;
    gap: 40px;
}

.contact-us-list li {
    text-align: center;
    margin: 0 20px;
}

.contact-us-list a {
    color: #959e94;
    font-size: 20px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.5s;
}

.contact-us-list i {
    color: #959e94;
    font-size: 16px;
}

.contact-us-list a:hover {
    color: #ADE7A6;
    text-decoration: underline;
}

.bi.bi-telephone {
    color: #959e94;
    font-size: 20px;
}

.fa-brands.fa-instagram {
    color: #959e94;
    font-size: 20px;
}


.contact-us-img {
    text-align: center;
    margin-bottom: 20px;
}
.contact-us-img img {
    display: block;
    margin: 0 auto;
    max-width: 276px;
    height: auto;
    text-align: center;
    margin-top: 60px;
    object-fit: cover;
    border-radius: 10px;
}

.contact-us h3 {
    color: #959e94;
    font-weight: bold;
    font-size: 30px;
    margin: 10px 0;
}

.contact-us i {
    text-decoration: none;
    color: #959e94;
}

.fa-brands.fa-whatsapp {
    color: #959e94;
    font-size: 20px;
}

.fa-envelope-o {
    color: #959e94;
    font-size: 20px;
}

.fa-regular.fa-envelope, .fa-brands.fa-whatsapp {
    color: #959e94;
    font-size: 20px;
}
/* SECTION SOBRE NOS */
.about-container {
    padding-top: 2rem;
    padding-bottom: 5rem;
    text-align: center;
}

.about-container h2 {
    color: #959e94;
    font-size: 36px;
}

#about-description {
    font-size: 20px;
    color: #959e94;
    padding: 1rem;
}

.faixa-about-description {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
}

.faixa-about-description p{
  display: inline-block;
  animation: faixa 16s linear infinite;
  background-color: #f0f8f0;
  text-transform: uppercase;
  border: 1px solid rgba(173, 231, 166, 1);
  padding: 2px 10px;
}

@keyframes faixa {
  0% {
    transform: translateX(100vw);
  }
  100% {
    transform: translateX(-150%);
  }
}


.about-us {
    width: 90%;
    margin: 0 auto;
    text-align: center;
}

.about-us-list {
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.about-us-list ul {
    display: flex;
    align-items: center;
    list-style: none;
    justify-content: center;
    gap: 40px;
}

.about-us-list li {
    text-align: center;
    margin: 0 20px;
}

.about-us-list a {
    color: #959e94;
    font-size: 20px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.5s;
}

.about-us-list i {
    color: #959e94;
    font-size: 16px;
}

.about-us-list a:hover {
    color: #ADE7A6;
    text-decoration: underline;
}

.bi.bi-telephone {
    color: #959e94;
    font-size: 20px;
}

.fa-brands.fa-instagram {
    color: #959e94;
    font-size: 20px;
}


.about-us-img {
    text-align: center;
    margin-bottom: 20px;
}
.about-us-img img {
    display: block;
    margin: 0 auto;
    max-width: 276px;
    height: auto;
    text-align: center;
    margin-top: 60px;
    object-fit: cover;
    border-radius: 10px;
}

.about-us h3 {
    color: #959e94;
    font-weight: bold;
    font-size: 30px;
    margin: 10px 0;
}

.about-us i {
    text-decoration: none;
    color: #959e94;
}

.fa-brands.fa-whatsapp {
    color: #959e94;
    font-size: 20px;
}

.fa-envelope-o {
    color: #959e94;
    font-size: 20px;
}

.fa-regular.fa-envelope, .fa-brands.fa-whatsapp {
    color: #959e94;
    font-size: 20px;
}

.localization-container {

    padding: 2rem 0;
    text-align: center;
    box-shadow: 0 -2px 6px rgba(0,0,0,0.1);
}

.localization-container h2 {
    color: #959e94;
    font-size: 36px;
    margin: 2rem 0;
}

.localization-container p {
    color: #959e94;
    font-size: 20px;
    margin-bottom: 10px;
}

.container-footer {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    gap: 40px; /* Espaço entre as colunas */
    text-align: center;
    background-color: #f1f1f1;
    padding: 2rem 0; /* Aumenta o espaçamento interno do footer */
    box-shadow: 0 -2px 6px rgba(0, 0, 0, 0.1);
    flex-wrap: wrap; /* Permite que os itens quebrem linha em telas menores */
}

.footer-logo img {
    width: 120px;
    height: auto;
}

#text-logo-footer {
    color: #959e94;
    font-size: 14px;
    text-align: left;
}

.footer-links {
    display: flex;
    flex-direction: column; /* Organiza os itens em coluna */
    align-items: flex-start; /* Centraliza os itens a esquerda */
    list-style: none;
    gap: 12px; /* Espaço entre os links */
    margin: 0;
}


.footer-links a {
    color: #959e94;
    text-decoration: none;
    transition: 0.5s;
}

.footer-links a:hover {
    color: #ADE7A6;
    text-decoration: underline;
}

.footer-services {
    display: flex;
    flex-direction: column; /* Organiza os itens em coluna */
    align-items: flex-start; /* Centraliza os itens horizontalmente */
    text-align: justify;
    gap: 12px; /* Espaço entre os itens */
    line-height: 28px;
    color: #959e94;
}

.footer-services li, .footer-services a {
    text-decoration: none;
    list-style: none;
    color: #959e94;
    gap: 10px;
}

.footer-services li:hover, .footer-services a:hover {
    color: #ADE7A6;
    text-decoration: underline;
}

.footer-payments {
    display: flex;
    flex-direction: column; /* Organiza os itens em coluna */
    align-items: flex-start; /* Centraliza os itens horizontalmente */
    text-align: center;
    gap: 10px; /* Espaço entre os itens */
    color: #959e94;
}

.footer-operation {
    display: flex;
    flex-direction: column; /* Organiza os itens em coluna */
    align-items: flex-start; /* Centraliza os itens horizontalmente */
    text-align: center;
    gap: 10px; /* Espaço entre os itens */
    color: #959e94;
}

.footer-contact {
    display: flex;
    flex-direction: column; /* Organiza os itens em coluna */
    align-items: flex-start; /* Centraliza os itens horizontalmente */
    text-align: center;
    gap: 10px; /* Espaço entre os itens */
    color: #959e94;
    font-size: 14px;
}

#text-footer-payments p {
    color: #959e94;
    text-align: left;
    text-align: justify;
}

.footer-contact a {
    text-decoration: none;
    color: #959e94;
}

.footer-links h3 {
    color: #959e94;
    text-transform: uppercase;
}


.footer-contact h3 {
    text-transform: uppercase;
}

.footer-contact a:hover {
    color: #ADE7A6;
    text-decoration: underline;
}

.direitos-footer {
    background-color: #959e94;
    font-size: 12px;
}

.direitos-footer p {
    color: #fff;
    padding: 5px 0;
    text-align: center;
}

.direitos-footer i {
    text-align: center;
    color: #fff;
}

.direitos-footer a {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
}

.direitos-footer a:hover {
    text-decoration: underline;
    color: #ADE7A6;
}

.fa-solid.fa-heart {
    color: #ADE7A6;
    font-size: 16px;
}



